View Issue Details

IDProjectCategoryView StatusLast Update
11692Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version2.5+ 
Target Version3.0Fixed in Version3.0 
Summary11692: Remove the display:none for EM filter (and condition) : use hidden, ls-hidden
Description

Actually : if a user go to a question filtered without JS : there are no way to see it even if template want it.

And more : maybe some template manager want to show the line but without the button for example

Additional Information

In fact : display:none is not needed in HTML : it's added by EM after page is shown
We can use hidden (from BS) class to hide it. If i remind the javascript .show goes up to hidden (inline style : siplay:block)

After we can update EM to use own function to hide/show question and subquestion.

Using Bootrap css don't break template using boostrap class: it can be in 3.1 for example.

Tagsanswers_html

Relationships

parent of 11874 closedDenisChenu Bug reports All in one survey : group hidden at start are not shown 
has duplicate 07293 closedDenisChenu Development  User can not see question hidden by condition but showing after with javascript (without js activated) 
has duplicate 08725 closedDenisChenu Development  Replace Expression manager Hard coded javascript by event 
related to 10055 assignedLouisGac Feature requests Hide question if all sub-questions are hidden. 

Related Changesets

LimeSurvey: answers_html 57161904

2016-11-06 19:23:51

DenisChenu

Details Diff
New feature 11692: Remove the display:none for EM filter (and condition) : use hidden, ls-hidden
Dev: Actually : just use ls-hidden ls-unrelevant ls-disabled
Dev: Question : what is the easiest for user : replace triggerEmRelevance or update !important css
Dev: javascript dev : replace triggerEmRelevance or add new function
Dev: other user ?
Dev: have some idea for 'core plugin' : hide/show slowly | add border for testing (survey not active)
Dev: etc ...
Affected Issues
11692
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/core/packages/limesurvey/survey.js Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/expressions/em_javascript.js Diff File

LimeSurvey: answers_html 86b140f6

2016-11-07 19:26:03

DenisChenu


Committer: GitHub Details Diff
Merge pull request #582 from Shnoulle/answershtml_EMevent_relevance

Expression Manager relevance event
Affected Issues
11692
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/core/packages/limesurvey/survey.js Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - scripts/expressions/em_javascript.js Diff File

Issue History

Date Modified Username Field Change
2016-09-21 09:30 DenisChenu New Issue
2016-09-21 09:30 DenisChenu Status new => assigned
2016-09-21 09:30 DenisChenu Assigned To => DenisChenu
2016-09-21 09:30 DenisChenu Tag Attached: answers_html
2016-09-21 09:30 DenisChenu Assigned To DenisChenu =>
2016-09-21 09:30 DenisChenu Status assigned => new
2016-09-21 09:31 DenisChenu Product Version => 2.5+
2016-10-17 16:31 DenisChenu Relationship added has duplicate 07293
2016-10-27 02:36 DenisChenu Assigned To => DenisChenu
2016-10-27 02:36 DenisChenu Status new => assigned
2016-10-27 02:36 DenisChenu Target Version => 3.0
2016-10-30 19:20 DenisChenu Relationship added related to 08725
2016-10-30 19:20 DenisChenu Note Added: 41605
2016-10-30 19:23 DenisChenu Relationship replaced has duplicate 08725
2016-11-06 18:43 DenisChenu Relationship added parent of 11874
2016-11-06 19:32 DenisChenu Note Added: 41733
2016-11-06 19:44 DenisChenu Relationship added parent of 10055
2016-11-07 19:26 DenisChenu Changeset attached => LimeSurvey answers_html 57161904
2016-11-07 19:26 DenisChenu Note Added: 41754
2016-11-07 19:26 DenisChenu Resolution open => fixed
2016-11-07 19:27 DenisChenu Changeset attached => LimeSurvey answers_html 86b140f6
2016-11-07 19:29 DenisChenu Relationship deleted parent of 10055
2016-11-07 19:29 DenisChenu Relationship added related to 10055
2016-11-07 19:29 DenisChenu Status assigned => resolved
2016-11-07 19:29 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed